public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: Uladzimir Bely <ubely@ilbers.de>
To: isar-users@googlegroups.com
Subject: [PATCH v3 06/15] CI: fix shell coding style
Date: Fri,  3 Feb 2023 05:44:17 +0100	[thread overview]
Message-ID: <20230203044427.32711-7-ubely@ilbers.de> (raw)
In-Reply-To: <20230203044427.32711-1-ubely@ilbers.de>

From: Henning Schild <henning.schild@siemens.com>

Apply some suggestions from shellcheck and make sure that runs fine.

Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
 scripts/ci_build.sh | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 84a3e472..e5f20d4f 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -20,6 +20,7 @@ if ! command -v avocado > /dev/null; then
     sudo apt-get install -y virtualenv
     rm -rf /tmp/avocado_venv
     virtualenv --python python3 /tmp/avocado_venv
+    # shellcheck source=/dev/null
     source /tmp/avocado_venv/bin/activate
     pip install avocado-framework==99.0
 fi
@@ -33,8 +34,8 @@ BASE_DIR=./build
 # Check dependencies
 DEPENDENCIES="umoci skopeo"
 for prog in ${DEPENDENCIES} ; do
-    if [ ! -x "$(which $prog)" ] ; then
-        echo "missing $prog in PATH" >&2
+    if ! command -v "${prog}" > /dev/null; then
+        echo "missing ${prog} in PATH" >&2
     fi
 done
 
@@ -132,16 +133,16 @@ fi
 mkdir -p .config/avocado
 cat <<EOF > .config/avocado/avocado.conf
 [datadir.paths]
-base_dir = $(realpath $BASE_DIR)/
-test_dir = $(realpath $BASE_DIR)/tests
-data_dir = $(realpath $BASE_DIR)/data
-logs_dir = $(realpath $BASE_DIR)/job-results
+base_dir = $(realpath "${BASE_DIR}")/
+test_dir = $(realpath "${BASE_DIR}")/tests
+data_dir = $(realpath "${BASE_DIR}")/data
+logs_dir = $(realpath "${BASE_DIR}")/job-results
 EOF
 export VIRTUAL_ENV="./"
 
 # the real stuff starts here, trace commands from now on
 set -x
 
-avocado $VERBOSE run "$TESTSUITE_DIR/citest.py" \
-    -t $TAGS --nrunner-max-parallel-tasks=1 --disable-sysinfo \
-    -p quiet=$QUIET -p cross=$CROSS_BUILD -p time_to_wait=$TIMEOUT
+avocado ${VERBOSE} run "${TESTSUITE_DIR}/citest.py" \
+    -t "${TAGS}" --nrunner-max-parallel-tasks=1 --disable-sysinfo \
+    -p quiet="${QUIET}" -p cross="${CROSS_BUILD}" -p time_to_wait="${TIMEOUT}"
-- 
2.20.1


  parent reply	other threads:[~2023-02-03  4:44 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-03  4:44 [PATCH v3 00/15] Add developers test Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 01/15] CI: Enable downloads dir sharing Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 02/15] CI: Add IMAGE_INSTALL override Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 03/15] CI: Add developers test Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 04/15] CI: Remove duplicated targets Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 05/15] CI: move to avocado to 99.0 Uladzimir Bely
2023-02-03  4:44 ` Uladzimir Bely [this message]
2023-02-03  4:44 ` [PATCH v3 07/15] CI: install qemu-system when qemu testing is requested Uladzimir Bely
2023-02-03  8:33   ` Uladzimir Bely
2023-02-03 17:04     ` Henning Schild
2023-02-03  4:44 ` [PATCH v3 08/15] testsuite: remove tests from "fast" set Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 09/15] CI: Get rid of setting cross from outside Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 10/15] CI: Make cross compile to be default Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 11/15] CI: Get rid of setting repro from outside Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 12/15] CI: Allow example module checking disabling Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 13/15] testsuite: Fix terminal broken after run test executed Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 14/15] CI: Update testsuite documentation Uladzimir Bely
2023-02-03  4:44 ` [PATCH v3 15/15] CI: Add single target test case Uladzimir Bely

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230203044427.32711-7-ubely@ilbers.de \
    --to=ubely@ilbers.de \
    --cc=isar-users@googlegroups.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox